# List of windows and their layout descriptions
- name: modelbuilder
  # Top level position and size should be overwritten by application
  # position: [1436, 482]
  size: [970, 730]
  vbox:
    - name: titlebar
      height: 34
    - name: main_menu
      height: 24
      fields:
          # Save time
          # - name: file
          #   height: 400
          #   width: 200
          #   # pytesseract unable to find "Exit" => finds "ex" for some reason
          #   # vbox:
          #   #   - name: exit
          - name: ACE3P
            type: menu
            height: 200
            width: 200
            fields:
              - name: New
    - name: main_toolbars
      height: 74
    - name: main_area
      hbox:
        - name: left_sidebar
          width: 280
          fields:
            - name: '[Analysis'
              type: menu
              action_offset: [100, 0]
              height: 200
              width: 150
        - name: central_area
          vbox:
            - name: renderview
              height: 375
            - name: output_messages

- name: new_project
  size: [500, 590]
  vbox:
    - name: titlebar
      height: 35
    - name: body
      height: 514
      fields:
        - name: Genesis
          action_offset: [0, 30]
    - name: buttons
      fields:
        - { name: Next, text: Next }
        - { name: Cancel, text: Cancel }
